// AutomationClientDlg.h : header file
//

#if !defined(AFX_AUTOMATIONCLIENTDLG_H__9982BE43_59F1_11D4_A015_080009EE62AA__INCLUDED_)
#define AFX_AUTOMATIONCLIENTDLG_H__9982BE43_59F1_11D4_A015_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CAutomationClientDlgAutoProxy;

/////////////////////////////////////////////////////////////////////////////
// CAutomationClientDlg dialog

class CAutomationClientDlg : public CDialog
{
	DECLARE_DYNAMIC(CAutomationClientDlg);
	friend class CAutomationClientDlgAutoProxy;

// Construction
public:
	CAutomationClientDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CAutomationClientDlg();

// Dialog Data
	//{{AFX_DATA(CAutomationClientDlg)
	enum { IDD = IDD_AUTOMATIONCLIENT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAutomationClientDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CAutomationClientDlgAutoProxy* m_pAutoProxy;
	HICON m_hIcon;

	BOOL CanExit();

	// Generated message map functions
	//{{AFX_MSG(CAutomationClientDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnPrint();
	afx_msg void OnBrowse();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AUTOMATIONCLIENTDLG_H__9982BE43_59F1_11D4_A015_080009EE62AA__INCLUDED_)
